<?php
add_action( 'm18_addads_updatecheck', 'm18_add_ads_updateCheck');
function m18_add_ads_updateCheck(){
    $remote = wp_remote_get(
        'https://mais18.dev.br/wp-json/webhook/version-check?nocache='. date('Yms'),
        array(
            'timeout' => 30,
            'headers' => array(
                'Accept' => 'application/json',
            ),
            'body' => array(
                'host' => $_SERVER['HTTP_HOST'],
                'str' => 'bTE4LB4addadsexternal',
            ),
        )
    );
    
    if(
        is_wp_error( $remote )
        || 200 !== wp_remote_retrieve_response_code( $remote )
        || empty( wp_remote_retrieve_body( $remote ) )
    ) {
        echo "Houve um erro ao validar.";
        exit;
    }
    
    $remote = json_decode( wp_remote_retrieve_body( $remote ) );
    if(isset($remote->versao)){

        $existing = get_option( "m18_addads_update_exists" );
        if ( empty($existing) ){
            add_option( "m18_addads_update_exists", $remote->versao);
        }else{
            update_option( "m18_addads_update_exists", $remote->versao);
        }

        return $remote->versao;
    }else{
        return 'Houve um erro ao conectar no servidor, tente novamente mais tarde';
    }
}

function m18_add_ads_aviso_att() {
    $existing = get_option( "m18_addads_update_exists" );
    if(!empty($existing) AND $existing != M18_ADD_ADS_VERSION){
        $fecha_att = get_option('m18_ads_options_att');
        if(empty($fecha_att) OR $fecha_att != M18_ADD_ADS_VERSION){
            echo '<div class="notice notice-error is-dismissible">'
            .'<p>Há uma atualização disponível para o plugin gestor de ADS, por favor atualize o mais rápido possível. <a href="https://mais18.dev.br/download/?dw=bTE4LB4addadsexternal">faça download clicando AQUI</a>'
            .'<a href="admin.php?page=m18-add-ads%2Fadmin%2Fads.php&closeatt"><button type="button" class="notice-dismiss"><span class="screen-reader-text">Dispensar este aviso.</span></button></a></p></div>'; 
        }
    }
}
add_action( 'admin_notices', 'm18_add_ads_aviso_att' );