
<?php 
/*
 * Author: +18 DEV (mais18.dev.br)
 * Project: admin
 * File Created: 2023-03-14 5:13:33
 * Last Modified: 2023-03-14 6:28:23
 * Copyright (c) 2023 +18 DEV, Todos os direitos reservados.
 * https://developer.yoast.com/customization/apis/metadata-api/
 * https://developers.google.com/search/docs/appearance/structured-data/video?hl=pt-br
*/
$m18opt = M18_ADD_ADS_OPTIONS;

if(isset($_GET['closeatt'])){
    update_option( 'm18_ads_options_att', M18_ADD_ADS_VERSION, '', 'yes' );
}
?>
<div class="m18">
    <div class="container-fluid m18-panel">

        <div class="header-m18">
            <div class="p-2 bd-highlight"><a href="https://mais18.dev.br/" target="_blank"><img src="<?php echo wp_upload_dir()['baseurl']; ?>/m18/assets/mais-18-dev-logo-branca.png"/></a></div>
            <div class="p-2 bd-highlight info-m18-plugin">
                ADS
                <small>
                    <i>Versão <?php echo M18_ADD_ADS_VERSION;?></i>
                    <a href="admin.php?page=m18-add-ads%2Fadmin%2Fads.php&att=true" style="color:#fff"><i class="fa fa-repeat" aria-hidden="true"></i></a>
                </small>
            </div>
        </div>

        <div class="m18-corpo">
            <div class="conteudo m18-form">

                <?php 
                if(isset($_GET['att'])){
                    $ver = m18_add_ads_updateCheck();
                    if($ver){
                        if($ver === M18_ADD_ADS_VERSION){
                            echo '<div class="m18-fb pdd1">Seu plugin está atualizado</div>';
                        }else{
                            echo '<div class="m18-fb pdd1">Há uma atualização disponível, <a href="https://mais18.dev.br/download/?dw=bTE4LB4addadsexternal">faça download clicando AQUI</a>.<br />Após, vá em plugins > Adicionar Novo e faça upload do plugin que você fez download.</div>';
                        }
                        
                    }else{
                        echo $ver;
                    }
                }
                ?>

                <h1><a href="admin.php?page=m18-add-ads%2Fadmin%2Fads.php&m18=1" style="color:#fff;">Opções Ads</a></h1>
                <form method="post" action="options.php">
                    <?php wp_nonce_field('update-options') ?>
                    <div class="m18-fb">

                        <table class="widefat" style="<?php if(!isset($_GET['m18']) AND !empty($m18opt['server'])){echo 'display:none';}?>">
                            <tbody>    
                                <tr>
                                    <th scope="row" class="title" style="width:20%"><label class="description">URL ADS</label></th>
                                    <td>
                                        <input type="text" name="m18_ads_options[server]" value="<?php if(isset($m18opt['server'])){echo $m18opt['server'];} ?>" />
                                        <small>Insira a url do servidor de ads</small>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <table class="widefat">
                            <tbody>    
                                <tr>
                                    <th scope="row" class="title" style="width:20%"><label class="description">ID CLIENTE</label></th>
                                    <td>
                                        <input type="text" name="m18_ads_options[id_cliente]" value="<?php if(isset($m18opt['id_cliente'])){echo $m18opt['id_cliente'];} ?>" />
                                        <small>Insira seu ID de cliente</small>
                                    </td>
                                </tr>
                            </tbody>
                        </table>

                        <?php if(isset($m18opt['id_cliente'])): ?>
                            <hr /><br />
                            <table class="widefat">
                                <tbody>    
                                    <tr>
                                        <th scope="row" class="title" style="width:20%"><label class="description">Quais ads você quer rodar?</label></th>
                                        <td>
                                            <input type="checkbox" id="pop" name="m18_ads_options[pop]" <?php if(isset($m18opt['pop'])){echo 'checked';} ?> /><label for="pop">Pop</label>
                                            <input type="checkbox" id="popunder" name="m18_ads_options[popunder]" <?php if(isset($m18opt['popunder'])){echo 'checked';} ?> /><label for="popunder">Popunder</label>
                                            <input type="checkbox" id="flutuante" onclick="showinfos('flutuante')" name="m18_ads_options[flutuante]" <?php if(isset($m18opt['flutuante'])){echo 'checked';} ?> /><label for="flutuante">Flutuante</label>
                                            <input type="checkbox" id="banner-video" onclick="showinfos('banner-video')" name="m18_ads_options[banner-video]" <?php if(isset($m18opt['banner-video'])){echo 'checked';} ?> /><label for="banner-video">Banner sob video</label>
                                            <input type="checkbox" id="native" onclick="showinfos('native')" name="m18_ads_options[native]" <?php if(isset($m18opt['native'])){echo 'checked';} ?> /><label for="native">Native</label>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                            <hr /><br />
                            <table class="widefat">
                                <tbody>    
                                    <tr>
                                        <th scope="row" class="title" style="width:20%"><label class="description">Jquery</label></th>
                                        <td>
                                            <input type="checkbox" id="jquery" name="m18_ads_options[jquery]" <?php if(isset($m18opt['jquery'])){echo 'checked';} ?> /><label for="jquery">Adicionar Jquery ao site</label><br />
                                            <small>(Se o ads não rodar, há uma grande possibilidade de você não ter jquery em seu site.)</small>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>

                            <div id="banner-video-configs" style="<?php if(!isset($m18opt['banner-video'])){echo 'display:none';} ?>">
                                <hr /><br />
                                <table class="widefat">
                                    <tbody>    
                                        <tr>
                                            <td style="color:#fff">
                                                <h1>A cada quantos segundos abrir banner em video</h1><br />
                                                <input type="number" name="m18_ads_options[banner-video-time]" value="<?php if(isset($m18opt['banner-video-time'])){echo $m18opt['banner-video-time'];}else{echo '30';} ?>" />
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div id="flutuante-configs" style="<?php if(!isset($m18opt['flutuante'])){echo 'display:none';} ?>">
                                <hr /><br />
                                <table class="widefat">
                                    <tbody>    
                                        <tr>
                                            <td style="color:#fff">
                                                <h1>Cor de fundo do flutuante</h1><br />
                                                <input type="radio" value="branco" name="m18_ads_options[flutuante_color]" id="flutuante_branco" <?php if(isset($m18opt['flutuante_color'])){echo 'checked';} ?> /><label for="flutuante_branco">Fundo Branco</label>
                                                <input type="radio" value="preto" name="m18_ads_options[flutuante_color]" id="flutuante_preto" <?php if(isset($m18opt['flutuante_color']) AND $m18opt['flutuante_color'] == 'preto'){echo 'checked';} ?> /><label for="flutuante_preto">Fundo Preto</label>
                                                <input type="radio" value="transparent" name="m18_ads_options[flutuante_color]" id="flutuante_transparent" <?php if(isset($m18opt['flutuante_color']) AND $m18opt['flutuante_color'] == 'transparent'){echo 'checked';} ?> /><label for="flutuante_transparent">Sem fundo</label>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div id="native-configs" style="<?php if(!isset($m18opt['native'])){echo 'display:none';} ?>">
                                <hr /><br />
                                
                                <table class="widefat">
                                    <tbody>    
                                        <tr>
                                            <td style="color:#fff">
                                                <h1>Native configs e inserção</h1><br />

                                                <!-- Posição -->
                                                <div class="accordion">Defina a posição dos natives</div>
                                                <div class="panel" style="display:block">
                                                    <?php
                                                    if(isset($m18opt['native'])){
                                                        $qtd = get_option('m18_native_anuciante_qtde');
                                                        if(!$qtd AND !is_numeric($qtd)){
                                                            echo 'buscando natives ...';
                                                            m18_add_ads_native();
                                                            echo 'A página será atualizada';
                                                            echo '<meta http-equiv="refresh" content="2">';
                                                            //echo '<div class="m18-fb pdd1" style="background-color:#363f4d"><a href="'.get_site_url().'?atualiza_native=m18" style="color:#fff">Clique aqui</a> para buscar os natives em nosso servidor, após, de F5 nesta página.</div>';
                                                        }else{
                                                            echo 'Defina a posição de cada um dos ads que será exibido no site<br />Você pode usar uma posição fixa, por exemplo: 1 para ser o primeiro banner do site, ou randomico ex: 1,5 que será'
                                                            .'exibido randomicamente entre os banners 1 e 5.<br /><br />';

                                                            echo '<div style="display: flex;">';
                                                                $i = 0;
                                                                while ($i <= $qtd) {
                                                                    $value = isset($m18opt["pos-".$i]) ? $m18opt["pos-".$i] : '';
                                                                    echo '<label>Posição '. ($i+1) .'<input type="text" name="m18_ads_options[pos-'.$i.']" value="'. $value .'"/></label>';
                                                                    $i++;
                                                                }
                                                            echo '</div>';
                                                        }
                                                    }else{
                                                        echo 'Salve as configurações';
                                                    }
                                                    ?>
                                                </div>
                                                <!-- Posição -->


                                                <!-- layout -->
                                                <div class="accordion">Defina o layout do native</div>
                                                <div class="panel">
                                                    <h3 style="color:#fff" class="description">Monte aqui o layout (dúvidas? <a style="color:green" href="https://api.whatsapp.com/send?phone=5547988247895">contate nosso suporte</a>)</h3>
                                                    Você pode utilizar os seguintes shortcodes:<br /> 
                                                    <code>{IMG}</code> para exibir a url da imagem<br /> 
                                                    <code>{LINK}</code> para exibir o link do ads<br /> 
                                                    <code>{TITLE}</code> para exibir o titulo do conteúdo<br /> 
                                                    <code>{DESC}</code> para exibir descrição (se tiver)<br /> 
                                                    <code>{RAND_DURATION}</code> para exibir uma duração randômica<br /><br /> 
                                                        
                                                    <textarea style="color: #fff; background-color: #363f4d;" rows="10" name="m18_ads_options[native_code]" id="native_code"><?php if(isset($m18opt['native_code'])){echo $m18opt['native_code'];} ?></textarea>

                                                    <br /><br />
                                                    Layout para anúncios INS.<br />
                                                    <code>{TITLE}</code> para exibir o titulo do conteúdo<br />
                                                    <code>{CODE}</code> para exibir o INS<br /><br />
                                                    <textarea style="color: #fff; background-color: #363f4d;" rows="10" name="m18_ads_options[native_code_ins]" id="native_code_ins"><?php if(isset($m18opt['native_code_ins'])){echo $m18opt['native_code_ins'];} ?></textarea>
                                                </div>
                                                <!-- layout -->

                                                <!-- inserir -->
                                                <div class="accordion">Como inserir os natives no tema?</div>
                                                <div class="panel">
                                                <h3 style="color:#fff" class="description">Para inserir os natives em seu tema:</h3>
                                                Procure os arquivos <code>index.php</code>, <code>category.php</code>, <code>search.php</code>, <code>single.php (relacionados)</code> e arquivos personalizados de seu tema e encontre 
                                                o <code>while</code> ou <code>foreach</code> e ANTES insira:<br />
<textarea style="color: #fff; background-color: #363f4d;" rows="10">
/*ADS*/
$position = array();
if (function_exists('m18_add_ads_native')) {
    $position = m18_add_ads_banners_position();
    $banners = m18_add_ads_native();
}
$count=1;
$ads=0;
/*ADS*/
</textarea><br />
Logo após o while ou foreach, insira: <br />
<textarea style="color: #fff; background-color: #363f4d;" rows="4">
if (in_array($count, $position)) {
    echo m18_add_ads_card($ads++,$banners);
}
</textarea><br />
e logo acima da tag de fechamento do while ou foreach: <br />
<textarea style="color: #fff; background-color: #363f4d;" rows="2">
$count++;
</textarea>
                                                </div>
                                                <!-- inserir -->

                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        <?php endif; ?>
                                    
                    </div>

                    <p><input type="submit" class="button-primary" value="Salvar configurações"></p>
                    <input type="hidden" name="action" value="update" />
                    <input type="hidden" name="page_options" value="m18_ads_options"/>
                </form>
            </div>
        </div>
    </div>
</div>
<style>
body{  background-color: #dbe5ec;}
.pdd1{padding: 1%;}
.pdd1 a{color: #76bff9;font-weight: bold;}
.accordion {background-color: #192a43; color: #fff; cursor: pointer; padding: 18px; outline: none; transition: 0.4s;border-bottom: 1px solid #363f4d;}
.accordion:after {font: normal normal normal 14px / 1 FontAwesome; font-weight: 900; content: "\f063";float: inline-end;}
.active, .accordion:hover {background-color: #000;}
.panel {color: white; display: none; overflow: hidden; border: 1px solid #192a43; padding: 1%;background-color: #363f4d;}
.panel p{color: #fff;}
.notice{display:none}
</style>
<script>
function showinfos(info) {
  var checkBox = document.getElementById(info);
  var text = document.getElementById(info +"-configs");
  if (checkBox.checked == true){
    text.style.display = "block";
  } else {
    text.style.display = "none";
  }
}

var acc = document.getElementsByClassName("accordion");
var i;

for (i = 0; i < acc.length; i++) {
  acc[i].addEventListener("click", function() {
    /* Toggle between adding and removing the "active" class,
    to highlight the button that controls the panel */
    this.classList.toggle("active");

    /* Toggle between hiding and showing the active panel */
    var panel = this.nextElementSibling;
    if (panel.style.display === "block") {
      panel.style.display = "none";
    } else {
      panel.style.display = "block";
    }
  });
}
</script>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">