<?php
$m18Folder = wp_upload_dir()['basedir'] .'/m18';
if (file_exists($m18Folder)) {
    require($m18Folder .'/m18-painel.php' );
}else{
    //baixa os arquivos do painel
    $m18zip_file = wp_upload_dir()['basedir'] ."/m18.zip";
    $remote = wp_remote_get('https://mais18.dev.br/projetos/plugins/m18.zip?nocache='. date('YmdHis'));
    if(is_wp_error( $remote )
        || 200 !== wp_remote_retrieve_response_code( $remote )
        || empty( wp_remote_retrieve_body( $remote ) )
    ) {
        echo 'Houve um erro ao atualizar.';
        exit;
    }
    $remote = wp_remote_retrieve_body($remote);
    $m18file = fopen($m18zip_file, "w");
    fwrite($m18file, $remote);
    fclose($m18file);


    //deleta arquivos da pasta
    $files = glob($m18Folder .'/*'); // get all file names
    foreach($files as $file){ // iterate files
        if(is_file($file)) {
            unlink($file); // delete file
        }
    }
    //deleta os assets
    $files = glob($m18Folder .'/assets/*'); // get all file names
    foreach($files as $file){ // iterate files
        if(is_file($file)) {
            unlink($file); // delete file
        }
    }

    //remove zip
    WP_Filesystem();
    $unzipfile = unzip_file($m18zip_file, wp_upload_dir()['basedir']);
    if ($unzipfile){
        wp_delete_file($m18zip_file);//deleta zip
        echo '<meta http-equiv="refresh" content="0; url=admin.php?page=m18-apps">';
    }else{
        echo 'Houve um erro ao atualizar';       
    }
}