<?php
function m18_add_ads_to_site() {
    $m18opt = M18_ADD_ADS_OPTIONS;
	$native_footer_js = get_option('m18_native_footer_code');
    $nocache = isset($_GET['m18']) ? $_GET['m18'] : date('mdh');

	if(isset($native_footer_js)){
		echo $native_footer_js;
	}

	if(isset($m18opt['jquery'])){
	    echo '<script src="//ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>';
    }

	//if(is_single() OR !isset($m18opt['popunder'])){
		if(isset($m18opt['pop'])){
		    echo '<script data-cfasync="false" type="text/javascript" src="'. $m18opt['server'] .'ads/pop.php?c='. $m18opt['id_cliente'] .'&v='.$nocache.'"></script>';
        }
	//}

	if(isset($m18opt['banner-video']) AND is_single()){
		echo '<script data-cfasync="false" type="text/javascript" src="'. $m18opt['server'] .'ads/banner-video.php?c='. $m18opt['id_cliente'] .'&v='.$nocache.'&t='.$m18opt['banner-video-time'].'"></script>';
	}

	if(isset($m18opt['flutuante'])){
		if(isset($m18opt['flutuante_color'])){
			switch ($m18opt['flutuante_color']) {
				case 'preto':
					$color = '000';
					break;
				case 'transparent':
					$color = 'bottomless';
					break;
				default:
				$color = 'fff';
					break;
			}

		}
		echo '<script data-cfasync="false" type="text/javascript" src="'. $m18opt['server'] .'ads/flutuante.php?c='. $m18opt['id_cliente'] .'&v='.$nocache.'&bg='.$color.'"></>';
	}

	if(isset($m18opt['popunder'])){
	    echo '<script data-cfasync="false" type="text/javascript" src="'. $m18opt['server'] .'ads/popunder.php?c='. $m18opt['id_cliente'] .'&v='.$nocache.'"></script>';
    }
}
add_action( 'wp_footer', 'm18_add_ads_to_site' );

/*para rodar junto do Ane Native Ads */
function m18_add_ads_merge($ads,$qts_exibir=1){
	$m18 = m18_add_ads_native($qts_exibir);
	$m18 = array_merge($ads, $m18);
	shuffle($m18);
	return $m18;
}

/*posição dos banners */
function m18_add_ads_banners_position(){
	$m18opt = M18_ADD_ADS_OPTIONS;
	$qtd = get_option('m18_native_anuciante_qtde');
	if($qtd OR $qtd == 0){
		$i = 0;
		$position = array();
		while ($i <= $qtd) {
			$value = $m18opt["pos-".$i];
			if($value){
				if (str_contains($value, ',')) {
					$value = explode(',',$value);
					$position[] = rand($value[0], $value[1]);
				}else{
					$position[] = $value;
				}
			}else{
				$position[] = $i;
			}
			$i++;
		}
	}else{
		$position = array(rand(1,4),rand(5,9),rand(10,12));
	}

	return $position;
}


//Native simple get
function m18_add_ads_native($qts_exibir=1){
	$m18opt = M18_ADD_ADS_OPTIONS;
	$m18_native_anuciante_qtde = get_option('m18_native_anuciante_qtde');
	$qts_exibir = $m18_native_anuciante_qtde ? $m18_native_anuciante_qtde : $qts_exibir;

	$varc8131d5_Kb6e0245     = get_option('m18_native_anuciante_data');
	$varc8131d5_Kb6e0245     = trim($varc8131d5_Kb6e0245);
	$var6450146_Kb6e0245 = false;
	
	if (isset($_GET['atualiza_native']) || empty($varc8131d5_Kb6e0245) || ($varc8131d5_Kb6e0245 < strtotime('now')))
		$var6450146_Kb6e0245 = true;

	if ($var6450146_Kb6e0245) {
		$var459dc06_Kb6e0245 = $m18opt['server'] .'wp-json/webhook/native?c='. $m18opt['id_cliente'];
		
		$var8bb13cf_Kb6e0245[0] = "Accept: text/xml,application/xml,application/xhtml+xml,";
		$var8bb13cf_Kb6e0245[0] .= "text/html;q=0.9,text/plain;q=0.8,image/png,*/*;q=0.5";
		$var8bb13cf_Kb6e0245[] = "Cache-Control: max-age=0";
		$var8bb13cf_Kb6e0245[] = "Connection: keep-alive";
		$var8bb13cf_Kb6e0245[] = "Keep-Alive: 300";
		$var8bb13cf_Kb6e0245[] = "Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7";
		$var8bb13cf_Kb6e0245[] = "Accept-Language: en-us,en;q=0.5";
		$var8bb13cf_Kb6e0245[] = "Pragma: ";

		$vara7d0064_Kb6e0245 = curl_init();
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_URL, $var459dc06_Kb6e0245);
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0.1) Gecko/20100101 Firefox/7.0.12011-10-16 20:23:00");
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_HTTPHEADER, $var8bb13cf_Kb6e0245);
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_REFERER, $var459dc06_Kb6e0245);
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_ENCODING, "gzip,deflate");
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_AUTOREFERER, true);
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_RETURNTRANSFER, 1);
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_TIMEOUT, 60);
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_FOLLOWLOCATION,true);
		curl_setopt($vara7d0064_Kb6e0245, CURLOPT_SSL_VERIFYPEER, false);

		$var879d49e_Kb6e0245 = curl_exec($vara7d0064_Kb6e0245);
		curl_close($vara7d0064_Kb6e0245);

		$var2bfa6ed_Kb6e0245 = (array) json_decode($var879d49e_Kb6e0245);
		$var2bfa6ed_Kb6e0245 = array_filter($var2bfa6ed_Kb6e0245);
		update_option('m18_native_anuciante_qtde', (int)$var2bfa6ed_Kb6e0245['qtde']);
		update_option('m18_native_footer_code', $var2bfa6ed_Kb6e0245['cosigo_js_footer']);

		$vardf73d94_Kb6e0245 = array();
		foreach ($var2bfa6ed_Kb6e0245['banners'] as $varfd2b79d_Kb6e0245) {
			if(isset($varfd2b79d_Kb6e0245->codigo)){
				$vardf73d94_Kb6e0245[] = array(
					'codigo'  => $varfd2b79d_Kb6e0245->codigo,
					'titulo'  => $varfd2b79d_Kb6e0245->nome,
				);
			}else{
				$vardf73d94_Kb6e0245[] = array(
					'titulo'  => $varfd2b79d_Kb6e0245->nome,
					'link'    => $varfd2b79d_Kb6e0245->link,
					'desc'    => $varfd2b79d_Kb6e0245->desc,
					'imagens' => $varfd2b79d_Kb6e0245->imagens
				);
			}
		}

		update_option('m18_native_anuciante',      base64_encode(json_encode($vardf73d94_Kb6e0245)));
		update_option('m18_native_anuciante_data', strtotime('+30 minutes'));
	}

	$vard50d62c_Kb6e0245 = array();
	
	$vare21f888_Kb6e0245 = get_option('m18_native_anuciante');
	$vare21f888_Kb6e0245 = base64_decode($vare21f888_Kb6e0245);
	$vare21f888_Kb6e0245 = (array) json_decode($vare21f888_Kb6e0245);
	$vare21f888_Kb6e0245 = array_filter($vare21f888_Kb6e0245);

	shuffle($vare21f888_Kb6e0245);
	foreach ($vare21f888_Kb6e0245 as $key => $var1efca47_Kb6e0245) {
		if($key > $qts_exibir){break;}

		if(isset($var1efca47_Kb6e0245->codigo)){
			$vard50d62c_Kb6e0245[] = array(
				'codigo' => $var1efca47_Kb6e0245->codigo,
				'titulo' => $var1efca47_Kb6e0245->titulo,
			);
		}else{
			$vard50d62c_Kb6e0245[] = array(
				'titulo' => $var1efca47_Kb6e0245->titulo,
				'link'   => $var1efca47_Kb6e0245->link,
				'desc'   => $var1efca47_Kb6e0245->desc,
				'imagem' => $var1efca47_Kb6e0245->imagens[array_rand($var1efca47_Kb6e0245->imagens, 1)],
				'local'	 => 'todos',
				'texto'	 => ''
			);
		}
	}

	shuffle($vard50d62c_Kb6e0245);
	return $vard50d62c_Kb6e0245;
}

function m18_add_ads_card($pos=0,$banners){
	$banners = $banners ? $banners : m18_add_ads_native();
	$m18opt = M18_ADD_ADS_OPTIONS;
	if(!$banners){
		return false;
	}
	
	if(isset($banners[$pos]['imagem']) OR isset($banners[$pos]['codigo'])){
		$arr = $pos;
	}else{
		$banners_total = COUNT($banners);
		$arr = rand(0,$banners_total);
	}

	//é um js
	if(isset($banners[$arr]['codigo'])){
		//return '<a class="kt_imgrc">'. $banners[$arr]['codigo'] .'<span class="title" style="padding: 0;">'.$banners[$arr]['titulo'].'</span></a>';
		$v = array(
			$banners[$arr]['titulo'],
			$banners[$arr]['codigo'],
		);
		$shortcodes = array('{TITLE}','{CODE}');
		return str_replace($shortcodes,$v,$m18opt['native_code_ins']); 
	}
	
	$v = array(
		$banners[$arr]['imagem'],
		$banners[$arr]['link'],
		$banners[$arr]['titulo'],
		$banners[$arr]['desc'],
		'0'. rand(1,4) .':'. rand(10,59)
	);
	$shortcodes = array('{IMG}','{LINK}','{TITLE}','{DESC}','{RAND_DURATION}');
	return str_replace($shortcodes,$v,$m18opt['native_code']); 
}